aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/replay.sh6
-rwxr-xr-xscripts/start-replay.sh1
2 files changed, 1 insertions, 6 deletions
diff --git a/scripts/replay.sh b/scripts/replay.sh
deleted file mode 100755
index 2781e1e..0000000
--- a/scripts/replay.sh
+++ /dev/null
@@ -1,6 +0,0 @@
-#!/bin/sh -e
-
-[ "$#" -ne 4 ] && echo "usage: replay.sh <window_id> <fps> <replay_time_sec> <output_directory>" && exit 1
-active_sink="$(pactl get-default-sink).monitor"
-mkdir -p "$4"
-gpu-screen-recorder -w "$1" -c mkv -f "$2" -a "$active_sink" -r "$3" -o "$4"
diff --git a/scripts/start-replay.sh b/scripts/start-replay.sh
index e36d59d..2093c98 100755
--- a/scripts/start-replay.sh
+++ b/scripts/start-replay.sh
@@ -1,5 +1,6 @@
#!/bin/sh
+pidof -q gpu-screen-recorder && exit 1
video_path="$HOME/Videos"
mkdir -p "$video_path"
gpu-screen-recorder -w screen -f 60 -a "$(pactl get-default-sink).monitor" -c mkv -r 30 -o "$video_path"